org.eclipse.rdf4j.query.parser.serql

## Class AnonymousVarGenerator

- java.lang.Object
- - org.eclipse.rdf4j.query.parser.serql.AbstractASTVisitor
  - - org.eclipse.rdf4j.query.parser.serql.AnonymousVarGenerator

- All Implemented Interfaces:
    org.eclipse.rdf4j.query.parser.serql.ast.SyntaxTreeBuilderVisitor

  Deprecated.
  since 3.0. This feature is for internal use only: its existence, signature or behavior may change without warning from one release to the next.

      @Deprecated
       @InternalUseOnly
      public class AnonymousVarGenerator
      extends AbstractASTVisitor

  Inserts anonymous variables into the abstract syntax tree at places where such variables are already implicitly present.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AnonymousVarGenerator()` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTNode node, Object data)` Deprecated.
    `Object` | `visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTReifiedStat node, Object data)` Deprecated.

    - ### Methods inherited from class org.eclipse.rdf4j.query.parser.serql.AbstractASTVisitor

      `visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AnonymousVarGenerator

          public AnonymousVarGenerator()

      Deprecated.

  - ### Method Detail

    - #### visit

          public Object visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTNode node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.serql.ast.VisitorException

      Deprecated.
      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.serql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.serql.ast.VisitorException`

    - #### visit

          public Object visit(org.eclipse.rdf4j.query.parser.serql.ast.ASTReifiedStat node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.serql.ast.VisitorException

      Deprecated.
      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.serql.ast.SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.serql.ast.VisitorException`

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.